extends Node2D

const SPEED = 1000

var velocity = Vector2()

func _ready() -> void:
	velocity.x = rand_range(-1, 1)
	velocity.y = rand_range(-1, 1)
	
	velocity *= SPEED

func _process(delta: float) -> void:
	position += velocity * delta
	
	if position.x < 0:
		position.x = 0
		velocity.x *= -1
	if position.y < 0:
		position.y = 0
		velocity.y *= -1
	if position.x > 1024:
		position.x = 1024
		velocity.x *= -1
	if position.y > 600:
		position.y = 600
		velocity.y *= -1
	
